For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
            • GETList Sales Staff
            • GETGet Sales Staff Account Details
            • PUTUpdate Sales Staff Assignments
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementSales Staff

Get Sales Staff Account Details

GET
https://api-b2b.bigcommerce.com/api/v3/io/sales-staffs/:salesStaffId
GET
/api/v3/io/sales-staffs/:salesStaffId
$curl https://api-b2b.bigcommerce.com/api/v3/io/sales-staffs/1 \
> -H "X-Auth-Token: <apiKey>"
200Retrieved
1{
2 "code": 200,
3 "data": {
4 "id": 20135,
5 "email": "string",
6 "name": "Marie Curie",
7 "phoneNumber": "9876543210",
8 "assignedCompanies": [
9 {
10 "id": 123456,
11 "bcId": "15",
12 "companyName": "Great Buys, Inc",
13 "bcGroupName": "Great Buys",
14 "assignedAt": 1721835018
15 }
16 ]
17 },
18 "meta": {
19 "message": "SUCCESS"
20 }
21}

Returns detailed information about the Sales Staff account associated with salesStaffId, including an array of Companies to which the account is assigned and when the assignment was made.

Was this page helpful?
Previous

List Sales Staff

Next

Update Sales Staff Assignments

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

salesStaffIdintegerRequired
Unique numeric ID of the Sales Staff account.

Response

OK
codeintegerDefaults to 200
The HTTP Status code of the response.
dataobject
metaobject